Skip to main content
GET
/
api
/
v1
/
auth
/
users
cURL
curl --request GET \
  --url https://api.example.com/api/v1/auth/users \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "username": "<string>",
      "name": "<string>",
      "inactive_alert": true,
      "email": "jsmith@example.com",
      "first_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "status": "<string>",
      "date_joined": "2023-11-07T05:31:56Z",
      "last_login": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Query Parameters

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

A search term.

status
string

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"